<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.5"/>
<title>fwWiener: fwWiener.ctl File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">fwWiener
   &#160;<span id="projectnumber">8.4.1</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.5 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('fwWiener_8ctl.html','');});
</script>
<div id="doc-content">
<div class="header">
  <div class="headertitle">
<div class="title">fwWiener.ctl File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="memitem:ae0f61d4fc3c1c820160557087e7b0b3b"><td class="memItemLeft" align="right" valign="top">const string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwWiener_8ctl.html#ae0f61d4fc3c1c820160557087e7b0b3b">FW_WIENER_PL512_DEVICE_MODEL</a> = &quot;PL512 Crate (TCP/IP)&quot;</td></tr>
<tr class="separator:ae0f61d4fc3c1c820160557087e7b0b3b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7607f5f0c958ad33795dec3a3da9f0d9"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwWiener_8ctl.html#a7607f5f0c958ad33795dec3a3da9f0d9">fwWiener_applyDefaultOpcAddressing2Pl512</a> (dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:a7607f5f0c958ad33795dec3a3da9f0d9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa3ad12795e4995c061a53d95b92095bf"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwWiener_8ctl.html#aa3ad12795e4995c061a53d95b92095bf">fwWiener_createOpcConfigFile</a> (dyn_string canBuses, string fileName, dyn_string &amp;exceptionInfo, int driverNumber=14)</td></tr>
<tr class="separator:aa3ad12795e4995c061a53d95b92095bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a903e63adfc2aace8d8412ef90daa193d"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwWiener_8ctl.html#a903e63adfc2aace8d8412ef90daa193d">fwWiener_loadSettingsFromHw</a> (string dpName, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:a903e63adfc2aace8d8412ef90daa193d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7b90cc74c76a4c884ce8de83c794220f"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwWiener_8ctl.html#a7b90cc74c76a4c884ce8de83c794220f">fwWiener_getReadbackElements</a> (string dpType, string prefixDpName, dyn_string &amp;readbackElements, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:a7b90cc74c76a4c884ce8de83c794220f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2a4289861a389118df23d37df967374e"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwWiener_8ctl.html#a2a4289861a389118df23d37df967374e">fwWiener_setKrakowMarathonCustomisation</a> (string dpName, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:a2a4289861a389118df23d37df967374e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abd0ac45e032f38a636c2375607a8e0ae"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwWiener_8ctl.html#abd0ac45e032f38a636c2375607a8e0ae">fwWiener_deleteKrakowMarathonCustomisation</a> (string dpName, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:abd0ac45e032f38a636c2375607a8e0ae"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae23888caec2d166a2f02f22d5ee6083a"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwWiener_8ctl.html#ae23888caec2d166a2f02f22d5ee6083a">fwWiener_setSupervisionBehaviourOpcTypes</a> (string dpName, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:ae23888caec2d166a2f02f22d5ee6083a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><dl class="section user"><dt>Creation Date</dt><dd>25/04/2017</dd></dl>
<dl class="section user"><dt>Constraints</dt><dd>fwDevice/fwDevice.ctl, fwDevice/fwDeviceFrontEndConfigFile.ctl libraries</dd></dl>
<dl class="section author"><dt>Author</dt><dd>Oliver Holme </dd>
<dd>
Fernando Varela </dd>
<dd>
Jonas Arroyo Garcia</dd></dl>
<dl class="section copyright"><dt>Copyright</dt><dd>CERN copyright </dd></dl>
</div><h2 class="groupheader">Function Documentation</h2>
<a class="anchor" id="a7607f5f0c958ad33795dec3a3da9f0d9"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool fwWiener_applyDefaultOpcAddressing2Pl512 </td>
          <td>(</td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Function to add newer properties exposed by latest firmware relase in PL512 crates.</p>
<dl class="section user"><dt>Constraints</dt><dd>fwDevice/fwDevice.ctl, fwDevice/fwDeviceFrontEndConfigFile.ctl libraries</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[out]</td><td class="paramname">exceptionInfo</td><td>dyn_string: returns details of any errors</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>bool: TRUE = Success, FALSE = Error: some JCOP call returned an error </dd></dl>

</div>
</div>
<a class="anchor" id="aa3ad12795e4995c061a53d95b92095bf"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwWiener_createOpcConfigFile </td>
          <td>(</td>
          <td class="paramtype">dyn_string&#160;</td>
          <td class="paramname"><em>canBuses</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>fileName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>driverNumber</em> = <code>14</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Function to create the Wiener OPC DA config file based on the WinCC OA instances</p>
<dl class="section user"><dt>Constraints</dt><dd>fwDevice/fwDevice.ctl, fwDevice/fwDeviceFrontEndConfigFile.ctl libraries</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">canBuses</td><td>dyn_string: Array with the list of canBuses devices to create the config file </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">fileName</td><td>string: Wiener OPC DA config file </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">exceptionInfo</td><td>dyn_string: returns details of any errors </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">driverNumber</td><td>int: by default is 14. In case you would like to specify a different driver number</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Nothing </dd></dl>

</div>
</div>
<a class="anchor" id="a903e63adfc2aace8d8412ef90daa193d"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwWiener_loadSettingsFromHw </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>dpName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Function to update the WinCC OA settings DPE based in the hardware settings</p>
<dl class="section user"><dt>Constraints</dt><dd>fwDevice/fwDevice.ctl, fwDevice/fwDeviceFrontEndConfigFile.ctl libraries</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">dpName</td><td>string: Device DP to retrieve its settings from the hardware </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">exceptionInfo</td><td>dyn_string: returns details of any errors</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Nothing </dd></dl>

</div>
</div>
<a class="anchor" id="a7b90cc74c76a4c884ce8de83c794220f"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwWiener_getReadbackElements </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>dpType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>prefixDpName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>readbackElements</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Function to get the readback elements for certain model</p>
<dl class="section user"><dt>Constraints</dt><dd>fwDevice/fwDevice.ctl, fwDevice/fwDeviceFrontEndConfigFile.ctl libraries</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">dpType</td><td>string: Device DPT to identify its JCOP Device definition and model </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">prefixDpName</td><td>string: prefix in the dpName to access the settings fields in the device dp name </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">readbackElements</td><td>dyn_string: dpes with readback settings </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">exceptionInfo</td><td>dyn_string: returns details of any errors</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Nothing </dd></dl>

</div>
</div>
<a class="anchor" id="a2a4289861a389118df23d37df967374e"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwWiener_setKrakowMarathonCustomisation </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>dpName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Function to set the Krakow Marathon customizations</p>
<dl class="section user"><dt>Constraints</dt><dd>fwDevice/fwDevice.ctl, fwDevice/fwDeviceFrontEndConfigFile.ctl libraries</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">dpName</td><td>string: crate device dpname to set customizations </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">exceptionInfo</td><td>dyn_string: returns details of any errors</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Nothing </dd></dl>

</div>
</div>
<a class="anchor" id="abd0ac45e032f38a636c2375607a8e0ae"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwWiener_deleteKrakowMarathonCustomisation </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>dpName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Function to remove the Krakow Marathon customizations</p>
<dl class="section user"><dt>Constraints</dt><dd>fwDevice/fwDevice.ctl, fwDevice/fwDeviceFrontEndConfigFile.ctl libraries</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">dpName</td><td>string: crate device dpname to set customizations </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">exceptionInfo</td><td>dyn_string: returns details of any errors</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Nothing </dd></dl>

</div>
</div>
<a class="anchor" id="ae23888caec2d166a2f02f22d5ee6083a"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwWiener_setSupervisionBehaviourOpcTypes </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>dpName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Function to change the Supervision Behaviour Types</p>
<dl class="section user"><dt>Constraints</dt><dd>fwDevice/fwDevice.ctl, fwDevice/fwDeviceFrontEndConfigFile.ctl libraries</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">dpName</td><td>string: crate device dpname to set customizations </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">exceptionInfo</td><td>dyn_string: returns details of any errors</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Nothing </dd></dl>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a class="anchor" id="ae0f61d4fc3c1c820160557087e7b0b3b"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">string FW_WIENER_PL512_DEVICE_MODEL = &quot;PL512 Crate (TCP/IP)&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Constant used to identify the PL512 TCP crate JCOP model </p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="fwWiener_8ctl.html">fwWiener.ctl</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.5 </li>
  </ul>
</div>
</body>
</html>
